function onBegin()
	if getFlag("firstQueenCutsceneSeen") == false then
		disableMovement()
		disableRetry()
		waitUntilOnGround()
		playSound("event:/CCDeltarune/Ohhohoho")
		playMusic("event:/none")
		wait(4.5)
		-- Move1 moves from right to left
		setFlag("queena-02Move1",true)
		wait(3.75)
		makeUnskippable()
		playMusic("event:/CCDeltarune/queen")
		wait(0.5)
		-- Move2 makes the first queen to disappear and the second to appear, aka FLIP
		setFlag("queena-02Move2",true)
		setFlag("queena-02Move2B",true)
		wait(0.75)
		say("CC_Inferno_cutscene1A") -- hi
		wait(0.5)
		setFlag("queena-02Move2",true)
		setFlag("queena-02Move2B",true)
		setFlag("queena-02MoveC",true)
		setFlag("queena-02Move3",true)
		setFlag("queena-02Move2B",false)
		say("CC_Inferno_cutscene1B") -- ...ok?
		setFlag("StuckIn_a-02", true)
		wait(0.25)
		say("CC_Inferno_cutscene1Cpre") -- wait
		player.Facing = getEnum("Celeste.Facings", "Right")
		wait(0.25)
		say("CC_Inferno_cutscene1C") -- im stuck
		wait(0.5)
		setFlag("queena-02Move4",true)
		wait(1.25)
		miniTextbox("CC_Inferno_cutscene1D")
		wait(0.75)
		setFlag("StuckIn_a-02",false) -- Door opens briefly for her
		wait(0.5)
		setFlag("StuckIn_a-02",true)
		playMusic("event:/CCDeltarune/cyber_City")
		setFlag("firstQueenCutsceneSeen",true)
	end
end
function onEnd()
	enableMovement()
	enableRetry()
end
function onEnd(wasSkipped)
	enableMovement()
	enableRetry()
	setFlag("queena-02Move1",true)
	setFlag("queena-02Move2",true)
	setFlag("queena-02Move3",true)
	setFlag("queena-02Move4",true)
	setFlag("StuckIn_a-02",true)
	setFlag("firstQueenCutsceneSeen",true)
end